#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct Fish_TurretSkillCFGData
{
	//编号
	int mID;
	//技能ID
	int mSkillId;
	//技能描述
	std::string mSkillDesc;
	//加成数值
	std::vector<int> mValue;
	//对应数值
	int mValueShu;
	//技能图标资源
	std::string mSkillResources;
	//升级加成
	int mAddValue;
	//最高加成次数
	int mTopValue;
};

class Fish_TurretSkillCFG
{
public:
private:
	static std::auto_ptr<Fish_TurretSkillCFG> msSingleton;
public:
	int GetCount();
	const Fish_TurretSkillCFGData* GetData(int ID);
	boost::unordered_map<int, Fish_TurretSkillCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static Fish_TurretSkillCFG* GetSingleton();
private:
	boost::unordered_map<int, Fish_TurretSkillCFGData> mMapData;
};
